Skip to main content
GET
/
v1
/
components
/
summary
Summarize components
curl --request GET \
  --url https://api.app.chainloop.dev/v1/components/summary \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.app.chainloop.dev/v1/components/summary"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.app.chainloop.dev/v1/components/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "total": 0,
  "vulnerable": 6,
  "exploitable": 5,
  "fixable": 1
}
{
"code": 0,
"details": [
"details",
"details"
],
"message": "message"
}
{
"code": 6,
"details": [
"details",
"details"
],
"message": "message"
}
{
"code": 1,
"details": [
"details",
"details"
],
"message": "message"
}
{
"code": 5,
"details": [
"details",
"details"
],
"message": "message"
}
{
"code": 5,
"details": [
{
"@type": "@type"
},
{
"@type": "@type"
}
],
"message": "message"
}

Authorizations

Authorization
string
header
required

Bearer token for authentication

Query Parameters

project_name
string

ProjectName is the name of the project to filter by

project_version_name
string

ProjectVersionName is the name of the project version to filter by

Response

A successful response.

Aggregate component counts

total
integer<int32>

Total number of distinct components in scope

vulnerable
integer<int32>

Components with at least one linked active finding

fixable
integer<int32>

Vulnerable components with at least one fixable finding

exploitable
integer<int32>

Vulnerable components whose linked finding is in the CISA KEV catalog